## org.eclipse.datatools.sqltools.editor.contentassist
Class ContentAssistQueryRequest

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.contentassist.ContentAssistQueryRequest

public class ContentAssistQueryRequest
extends java.lang.Object

This class represents a request for providing content assist about database objects.

Author:
  Hui Cao

Field Summary
`static int` `QUERY_ALLOWED_USER_DATATYPE`
`static int` `QUERY_EVENT_TEXT`
`static int` `QUERY_GET_COLUMNS`
`static int` `QUERY_GET_DATABASES`
`static int` `QUERY_GET_EVENTS`
`static int` `QUERY_GET_OWNERS`
`static int` `QUERY_GET_STORED_PROCEDURES`
`static int` `QUERY_GET_TABLES`
`static int` `QUERY_GET_TRIGGERS`
`static int` `QUERY_GET_UDFS`
`static int` `QUERY_STORED_PROCEDURE_TEXT`
`static int` `QUERY_TRIGGER_TEXT`
`static int` `QUERY_UDF_TEXT`
`static int` `QUERY_USER_DATATYPE`

Constructor Summary
`ContentAssistQueryRequest()`

Method Summary
`java.lang.String` `getDatabaseName()`
`java.lang.String` `getEventName()`
`java.lang.String` `getOwnerName()`
`int` `getQueryType()`
`java.lang.String` `getStoredProcName()`
`java.lang.String` `getTableName()`
`java.lang.String` `getTriggerName()`
`java.lang.String` `getUdfName()`
`void` `setDatabaseName(java.lang.String databaseName)`
`void` `setEventName(java.lang.String eventName)`
`void` `setOwnerName(java.lang.String ownerName)`
`void` `setQueryType(int queryType)`
`void` `setStoredProcName(java.lang.String storedProcName)`
`void` `setTableName(java.lang.String tablename)`
`void` `setTriggerName(java.lang.String triggerName)`
`void` `setUdfName(java.lang.String udfName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY_GET_DATABASES

    public static final int QUERY_GET_DATABASES

See Also:
  Constant Field Values

### QUERY_GET_TABLES

    public static final int QUERY_GET_TABLES

See Also:
  Constant Field Values

### QUERY_GET_STORED_PROCEDURES

    public static final int QUERY_GET_STORED_PROCEDURES

See Also:
  Constant Field Values

### QUERY_GET_TRIGGERS

    public static final int QUERY_GET_TRIGGERS

See Also:
  Constant Field Values

### QUERY_GET_UDFS

    public static final int QUERY_GET_UDFS

See Also:
  Constant Field Values

### QUERY_GET_EVENTS

    public static final int QUERY_GET_EVENTS

See Also:
  Constant Field Values

### QUERY_GET_OWNERS

    public static final int QUERY_GET_OWNERS

See Also:
  Constant Field Values

### QUERY_GET_COLUMNS

    public static final int QUERY_GET_COLUMNS

See Also:
  Constant Field Values

### QUERY_STORED_PROCEDURE_TEXT

    public static final int QUERY_STORED_PROCEDURE_TEXT

See Also:
  Constant Field Values

### QUERY_UDF_TEXT

    public static final int QUERY_UDF_TEXT

See Also:
  Constant Field Values

### QUERY_EVENT_TEXT

    public static final int QUERY_EVENT_TEXT

See Also:
  Constant Field Values

### QUERY_TRIGGER_TEXT

    public static final int QUERY_TRIGGER_TEXT

See Also:
  Constant Field Values

### QUERY_USER_DATATYPE

    public static final int QUERY_USER_DATATYPE

See Also:
  Constant Field Values

### QUERY_ALLOWED_USER_DATATYPE

    public static final int QUERY_ALLOWED_USER_DATATYPE

See Also:
  Constant Field Values

Constructor Detail

### ContentAssistQueryRequest

    public ContentAssistQueryRequest()

Method Detail

### getQueryType

    public int getQueryType()

### setQueryType

    public void setQueryType(int queryType)

### getDatabaseName

    public java.lang.String getDatabaseName()

### setDatabaseName

    public void setDatabaseName(java.lang.String databaseName)

### getEventName

    public java.lang.String getEventName()

### setEventName

    public void setEventName(java.lang.String eventName)

### getOwnerName

    public java.lang.String getOwnerName()

### setOwnerName

    public void setOwnerName(java.lang.String ownerName)

### getStoredProcName

    public java.lang.String getStoredProcName()

### setStoredProcName

    public void setStoredProcName(java.lang.String storedProcName)

### getTriggerName

    public java.lang.String getTriggerName()

### setTriggerName

    public void setTriggerName(java.lang.String triggerName)

### getTableName

    public java.lang.String getTableName()

### setTableName

    public void setTableName(java.lang.String tablename)

### getUdfName

    public java.lang.String getUdfName()

### setUdfName

    public void setUdfName(java.lang.String udfName)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.